Subject: bug#64531: [PATCH v2] Add new command vc-dir-copy-filename-as-kill

From: Ivan Sokolov <[email-masked]>
Date: Sun, 20 Aug 2023 02:12:32 +0300

Eli Zaretskii <[email-masked]> writes:

>> From: Ivan Sokolov <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 08 Aug 2023 16:44:56 +0300
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > However, new commands should be called out in NEWS, and commands that
>> > are important enough should also be mentioned in the user manual.
>> 
>> Added entry in NEWS, but not in the user manual, there is no such for
>> vc-dir afaik.
>> 
>> >> +(defun vc-dir-copy-filename-as-kill (&optional absolutep)
>> >> +  "Copy names of marked files (or file under cursor) into the kill ring.
>> >
>> > This sentence is too general: it doesn't mention VC Dir, although
>> > AFAIU it is specific to vc-dir.
>> 
>> Fixed.
>
> Dmitry, is this good to go in?
>
> I still think it should be mention in the Emacs user manual, where we
> document vc-dir.

Hi, Eli!

I am working on the 3rd version of the patch with all the necessary
documentation and changes to the command which I will explain in the
cover letter.  Not sure when I'll finish it though.